Package weka.gui.beans

# Class EnvironmentField

java.lang.Object
java.awt.Component
java.awt.Container
javax.swing.JComponent
javax.swing.JPanel
weka.gui.beans.EnvironmentField

All Implemented Interfaces:
  `ImageObserver`, `MenuContainer`, `PropertyEditor`, `Serializable`, `Accessible`, `EnvironmentHandler`, `CustomPanelSupplier`

Direct Known Subclasses:
  `FileEnvironmentField`

@Deprecated public class EnvironmentField extends JPanel implements EnvironmentHandler, PropertyEditor, CustomPanelSupplier
Deprecated.
Widget that displays a label and a combo box for selecting environment variables. The enter arbitrary text, select an environment variable or a combination of both. Any variables are resolved (if possible) and resolved values are displayed in a tip-text.

This class is deprecated - use the version in weka.gui instead.

Version:
  $Revision: 12232 $
Author:
  Mark Hall (mhall{[at]}pentaho{[dot]}com)
See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `EnvironmentField.WideComboBox`
  Deprecated.
  Combo box that allows the drop-down list to be wider than the component itself.

  ## Nested classes/interfaces inherited from class javax.swing.JComponent

  `JComponent.AccessibleJComponent`

  ## Nested classes/interfaces inherited from class java.awt.Component

  `Component.BaselineResizeBehavior`

- ## Field Summary

  ### Fields inherited from class javax.swing.JComponent

  `TOOL_TIP_TEXT_KEY, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

  ### Fields inherited from class java.awt.Component

  `BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

  ### Fields inherited from interface java.awt.image.ImageObserver

  `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EnvironmentField()`
  Deprecated.
  Construct an EnvironmentField with no label.
  `EnvironmentField(String label)`
  Deprecated.
  Constructor.
  `EnvironmentField(String label, Environment env)`
  Deprecated.
  Constructor.
  `EnvironmentField(Environment env)`
  Deprecated.
  Construct an EnvironmentField with no label.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addPropertyChangeListener(PropertyChangeListener pcl)`
  Deprecated.
  `String`
  `getAsText()`
  Deprecated.
  `Component`
  `getCustomEditor()`
  Deprecated.
  `JPanel`
  `getCustomPanel()`
  Deprecated.
  Gets the custom panel for the object.
  `String`
  `getJavaInitializationString()`
  Deprecated.
  `String[]`
  `getTags()`
  Deprecated.
  `String`
  `getText()`
  Deprecated.
  Return the text from the combo box.
  `Object`
  `getValue()`
  Deprecated.
  `boolean`
  `isPaintable()`
  Deprecated.
  `static void`
  `main(String[] args)`
  Deprecated.
  Main method for testing this class
  `void`
  `paintValue(Graphics gfx, Rectangle box)`
  Deprecated.
  `void`
  `removePropertyChangeListener(PropertyChangeListener pcl)`
  Deprecated.
  `void`
  `setAsText(String s)`
  Deprecated.
  `void`
  `setEditable(boolean editable)`
  Deprecated.
  Set the editable status of the combo box.
  `void`
  `setEnabled(boolean enabled)`
  Deprecated.
  Set the enabled status of the combo box.
  `void`
  `setEnvironment(Environment env)`
  Deprecated.
  Set the environment variables to display in the drop down list.
  `void`
  `setLabel(String label)`
  Deprecated.
  Set the label for this widget.
  `void`
  `setText(String text)`
  Deprecated.
  Set the text to display in the editable combo box.
  `void`
  `setValue(Object o)`
  Deprecated.
  `boolean`
  `supportsCustomEditor()`
  Deprecated.

  ### Methods inherited from class javax.swing.JPanel

  `getAccessibleContext, getUI, getUIClassID, setUI, updateUI`

  ### Methods inherited from class javax.swing.JComponent

  `addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, hide, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintImmediately, paintImmediately, print, printAll, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

  ### Methods inherited from class java.awt.Container

  `add, add, add, add, add, addContainerListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusDownCycle, validate`

  ### Methods inherited from class java.awt.Component

  `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, createImage, createImage, createVolatileImage, createVolatileImage, dispatchEvent, enable, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocusInWindow, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setMixingCutoutShape, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### EnvironmentField

    public EnvironmentField()
    Deprecated.
    Construct an EnvironmentField with no label.

  - ### EnvironmentField

    public EnvironmentField(Environment env)
    Deprecated.
    Construct an EnvironmentField with no label.
    Parameters:
      `env` - the environment variables to display in the drop-down box

  - ### EnvironmentField

    public EnvironmentField(String label, Environment env)
    Deprecated.
    Constructor.
    Parameters:
      `label` - the label to use
      `env` - the environment variables to display in the drop-down box

  - ### EnvironmentField

    public EnvironmentField(String label)
    Deprecated.
    Constructor.
    Parameters:
      `label` - the label to use

- ## Method Details

  - ### setLabel

    public void setLabel(String label)
    Deprecated.
    Set the label for this widget.
    Parameters:
      `label` - the label to use

  - ### setText

    public void setText(String text)
    Deprecated.
    Set the text to display in the editable combo box.
    Parameters:
      `text` - the text to display

  - ### getText

    public String getText()
    Deprecated.
    Return the text from the combo box.
    Returns:
      the text from the combo box

  - ### setAsText

    public void setAsText(String s)
    Deprecated.
    Specified by:
      `setAsText` in interface `PropertyEditor`

  - ### getAsText

    public String getAsText()
    Deprecated.
    Specified by:
      `getAsText` in interface `PropertyEditor`

  - ### setValue

    public void setValue(Object o)
    Deprecated.
    Specified by:
      `setValue` in interface `PropertyEditor`

  - ### getValue

    public Object getValue()
    Deprecated.
    Specified by:
      `getValue` in interface `PropertyEditor`

  - ### getJavaInitializationString

    public String getJavaInitializationString()
    Deprecated.
    Specified by:
      `getJavaInitializationString` in interface `PropertyEditor`

  - ### isPaintable

    public boolean isPaintable()
    Deprecated.
    Specified by:
      `isPaintable` in interface `PropertyEditor`

  - ### getTags

    public String[] getTags()
    Deprecated.
    Specified by:
      `getTags` in interface `PropertyEditor`

  - ### supportsCustomEditor

    public boolean supportsCustomEditor()
    Deprecated.
    Specified by:
      `supportsCustomEditor` in interface `PropertyEditor`

  - ### getCustomEditor

    public Component getCustomEditor()
    Deprecated.
    Specified by:
      `getCustomEditor` in interface `PropertyEditor`

  - ### getCustomPanel

    public JPanel getCustomPanel()
    Deprecated.
    Description copied from interface: `CustomPanelSupplier`
    Gets the custom panel for the object.
    Specified by:
      `getCustomPanel` in interface `CustomPanelSupplier`
    Returns:
      the custom JPanel

  - ### addPropertyChangeListener

    public void addPropertyChangeListener(PropertyChangeListener pcl)
    Deprecated.
    Specified by:
      `addPropertyChangeListener` in interface `PropertyEditor`
    Overrides:
      `addPropertyChangeListener` in class `Container`

  - ### removePropertyChangeListener

    public void removePropertyChangeListener(PropertyChangeListener pcl)
    Deprecated.
    Specified by:
      `removePropertyChangeListener` in interface `PropertyEditor`
    Overrides:
      `removePropertyChangeListener` in class `Component`

  - ### paintValue

    public void paintValue(Graphics gfx, Rectangle box)
    Deprecated.
    Specified by:
      `paintValue` in interface `PropertyEditor`

  - ### setEnvironment

    public void setEnvironment(Environment env)
    Deprecated.
    Set the environment variables to display in the drop down list.
    Specified by:
      `setEnvironment` in interface `EnvironmentHandler`
    Parameters:
      `env` - the environment variables to display

  - ### setEnabled

    public void setEnabled(boolean enabled)
    Deprecated.
    Set the enabled status of the combo box.
    Overrides:
      `setEnabled` in class `JComponent`
    Parameters:
      `enabled` - true if the combo box is enabled

  - ### setEditable

    public void setEditable(boolean editable)
    Deprecated.
    Set the editable status of the combo box.
    Parameters:
      `editable` - true if the combo box is editable

  - ### main

    public static void main(String[] args)
    Deprecated.
    Main method for testing this class
    Parameters:
      `args` - command line args (ignored)